using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

public class ResponseData {
    [JsonProperty("cmd")]
    public int Cmd {
        get;
        set;
    }

    [JsonProperty("body")]
    public Body Body {
        get;
        set;
    }
}

public class Body {
    [JsonProperty("code")]
    public int Code {
        get;
        set;
    }

    [JsonProperty("data")]
    public JToken Data {
        get;
        set;
    } // 使用 JToken 来处理不同的 data 结构

    [JsonProperty("msg")]
    public string Msg {
        get;
        set;
    }
}
